<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">
    <SwitchPreference
        android:checked="false"
        android:defaultValue="false"
        android:key="keep_screen_on"
        android:summary="Keep screen alive while the app is open"
        android:title="Keep screen alive" />

    <SwitchPreference
        android:checked="false"
        android:defaultValue="false"
        android:key="saf_opens_any_type"
        android:summary="File browser allows for any mime type"
        android:title="Open any file type" />

    <SwitchPreference
        android:checked="false"
        android:defaultValue="false"
        android:key="open_preview_first"
        android:summary="Documents open directly to preview"
        android:title="Open preview by default" />

    <EditTextPreference
        android:defaultValue="10"
        android:digits="0123456789"
        android:inputType="number"
        android:key="auto_save_interval"
        android:summary="Seconds to wait between automatically saving"
        android:title="Auto-save interval" />

    <PreferenceCategory android:title="Theme">
        <ListPreference
            android:defaultValue="1"
            android:entries="@array/themeEntries"
            android:entryValues="@array/themeValues"
            android:key="theme"
            android:summary="Color and appearance used across the app"
            android:title="Theme" />

        <ListPreference
            android:defaultValue="Teal"
            android:entries="@array/materialColorEntries"
            android:entryValues="@array/materialColorEntries"
            android:key="light_theme_primary_color"
            android:summary="Primary color used light theme"
            android:title="Light theme primary color"/>

        <ListPreference
            android:defaultValue="Teal"
            android:entries="@array/materialColorEntries"
            android:entryValues="@array/materialColorEntries"
            android:key="light_theme_accent_color"
            android:summary="Secondary color used light theme"
            android:title="Light theme secondary color"/>
    </PreferenceCategory>

    <PreferenceCategory android:title="Text Styles">
        <ListPreference
            android:defaultValue="1"
            android:entries="@array/fontNames"
            android:entryValues="@array/fontValues"
            android:key="editor_font"
            android:summary="Font used in the editor pane"
            android:title="Editor font" />

        <EditTextPreference
            android:defaultValue="0"
            android:digits="0123456789-"
            android:inputType="number"
            android:key="editor_text_size"
            android:summary="Increase/decrease the editor text size"
            android:title="Editor text scale (0 is default)" />

        <ListPreference
            android:defaultValue="1"
            android:entries="@array/fontNames"
            android:entryValues="@array/fontValues"
            android:key="preview_font"
            android:summary="Font used in the preview pane"
            android:title="Preview font" />

        <EditTextPreference
            android:defaultValue="0"
            android:digits="0123456789-"
            android:inputType="number"
            android:key="preview_text_size"
            android:summary="Increase/decrease the preview text size"
            android:title="Preview text scale (0 is default)" />
    </PreferenceCategory>
    <PreferenceCategory android:title="Customizations"/>
</PreferenceScreen>